## What is it?
It’s a file-based wiki that aims to simplicity. The documents are completely written in Markdown which is an easy markup language that you can learn in 60 sec.

## Why markdown?
If you compare markdown to a WYSIWYG editor it may look less easy to use but the opposite is true. When writing markdown you don’t get to see the result directly which is the only downside. 
There are more pros:  

- Easy to process to other file formats  
- Scalable, it reformats for the perfect display width

## How does it work?
Instead of storing the data in a database I chose to have a file-based system. The advantage of this system is that every file is directly readable inside a terminal etc. Also when you have direct access to the system you can export the files to anything you like.

To view the documents in the browser, the document is converted to html.

## Plugins (beta)

The plugins are used to extend the functionality of the wiki. Most of them are accessible through the use of `tags`.
For now there are only a few supported.  

- `[[draw]]` Allows you to add an **interactive drawio drawing** to the wiki.  
- `[[info]]`, `[[warning]]`, `[[danger]]`, `[[success]]` Adds a nice **alert message**.
- `[[ page: some-page ]]` Allows to show an other page in the current one.
- `[[swagger link]]` Allows to insert a **swagger** block into the wiki page. Link in annotation should lead 
  to a GET endpoint with .json openapi file. `[[swagger https://petstore3.swagger.io/api/v3/openapi.json]]` 
  can be used as an example.
- \`\`\`plantuml CODE \`\`\` Allows to embed a [plantuml](https://plantuml.com) diagram. 
  A custom plantuml server can be defined using configuration file.    
- \`\`\`mermaid CODE \`\`\` Allows to embed a [mermaid](https://mermaid.js.org/intro/) diagram.     

You can read more about plugins [here](https://linbreux.github.io/wikmd/plugins.html).


### Image support
![](https://upload.wikimedia.org/wikipedia/commons/thumb/4/48/Markdown-mark.svg/208px-Markdown-mark.svg.png)

### Latex support

$$x_{1,2} = \frac{-b ± \sqrt{b^2 - 4 a c}}{2a}$$

## How to use the wiki
You can learn more on how to use the wiki [here](How to use the wiki)

## Features
Read all the features [here](Features)

## Handy links
- [Google](http://google.be)
- [Duckduckgo](http://duckduckgo.org)


